

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.66. table_tokenize &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.67. thread_limit" href="thread_limit.html" />
    <link rel="prev" title="7.3.65. table_rename" href="table_rename.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/table_tokenize.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="thread_limit.html" title="7.3.67. thread_limit"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="table_rename.html" title="7.3.65. table_rename"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.66. </span><code class="docutils literal notranslate"><span class="pre">table_tokenize</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="table-tokenize">
<h1><span class="section-number">7.3.66. </span><code class="docutils literal notranslate"><span class="pre">table_tokenize</span></code><a class="headerlink" href="#table-tokenize" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.66.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">table_tokenize</span></code> command tokenizes text by the specified table’s tokenizer.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.66.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes many parameters.</p>
<p><code class="docutils literal notranslate"><span class="pre">table</span></code> and <code class="docutils literal notranslate"><span class="pre">string</span></code> are required parameters. Others are
optional:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_tokenize table
               string
               [flags=NONE]
               [mode=GET]
               [index_column=null]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.66.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>Here is a simple example.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register token_filters/stop_word
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create Terms TABLE_PAT_KEY ShortText   --default_tokenizer TokenBigram   --normalizer NormalizerAuto   --token_filters TokenFilterStopWord
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Terms is_stop_word COLUMN_SCALAR Bool
# [[0, 1337566253.89858, 0.000355720520019531], true]
load --table Terms
[
{&quot;_key&quot;: &quot;and&quot;, &quot;is_stop_word&quot;: true}
]
# [[0, 1337566253.89858, 0.000355720520019531], 1]
table_tokenize Terms &quot;Hello and Good-bye&quot; --mode GET
# [[0, 1337566253.89858, 0.000355720520019531], []]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">Terms</span></code> table is set <code class="docutils literal notranslate"><span class="pre">TokenBigram</span></code> tokenizer, <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> normalizer,
<code class="docutils literal notranslate"><span class="pre">TokenFilterStopWord</span></code> token filter. It returns tokens that is
generated by tokenizeing <code class="docutils literal notranslate"><span class="pre">&quot;Hello</span> <span class="pre">and</span> <span class="pre">Good-bye&quot;</span></code> with <code class="docutils literal notranslate"><span class="pre">TokenBigram</span></code> tokenizer.
It is normalized by <code class="docutils literal notranslate"><span class="pre">NormalizerAuto</span></code> normalizer.
<code class="docutils literal notranslate"><span class="pre">and</span></code> token is removed with <code class="docutils literal notranslate"><span class="pre">TokenFilterStopWord</span></code> token filter.</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.66.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes all parameters. Parameters are categorized.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.66.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>There are required parameters, <code class="docutils literal notranslate"><span class="pre">table</span></code> and <code class="docutils literal notranslate"><span class="pre">string</span></code>.</p>
<div class="section" id="table">
<h4><span class="section-number">7.3.66.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">table</span></code><a class="headerlink" href="#table" title="Permalink to this headline">¶</a></h4>
<p>Specifies the lexicon table. <code class="docutils literal notranslate"><span class="pre">table_tokenize</span></code> command uses the
tokenizer, the normalizer, the token filters that is set the
lexicon table.</p>
</div>
<div class="section" id="string">
<h4><span class="section-number">7.3.66.4.1.2. </span><code class="docutils literal notranslate"><span class="pre">string</span></code><a class="headerlink" href="#string" title="Permalink to this headline">¶</a></h4>
<p>Specifies any string which you want to tokenize.</p>
<p>See <a class="reference internal" href="tokenize.html#tokenize-string"><span class="std std-ref">string</span></a> option in <a class="reference internal" href="tokenize.html"><span class="doc">tokenize</span></a> about details.</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.66.4.2. </span>Optional parameters<a class="headerlink" href="#optional-parameters" title="Permalink to this headline">¶</a></h3>
<p>There are optional parameters.</p>
<div class="section" id="flags">
<h4><span class="section-number">7.3.66.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">flags</span></code><a class="headerlink" href="#flags" title="Permalink to this headline">¶</a></h4>
<p>Specifies a tokenization customize options. You can specify
multiple options separated by “<code class="docutils literal notranslate"><span class="pre">|</span></code>”.</p>
<p>The default value is <code class="docutils literal notranslate"><span class="pre">NONE</span></code>.</p>
<p>See <a class="reference internal" href="tokenize.html#tokenize-flags"><span class="std std-ref">flags</span></a> option in <a class="reference internal" href="tokenize.html"><span class="doc">tokenize</span></a> about details.</p>
</div>
<div class="section" id="mode">
<h4><span class="section-number">7.3.66.4.2.2. </span><code class="docutils literal notranslate"><span class="pre">mode</span></code><a class="headerlink" href="#mode" title="Permalink to this headline">¶</a></h4>
<p>Specifies a tokenize mode.</p>
<p>The default value is <code class="docutils literal notranslate"><span class="pre">GET</span></code>.</p>
<p>See <a class="reference internal" href="tokenize.html#tokenize-mode"><span class="std std-ref">mode</span></a> option in <a class="reference internal" href="tokenize.html"><span class="doc">tokenize</span></a> about details.</p>
</div>
<div class="section" id="index-column">
<h4><span class="section-number">7.3.66.4.2.3. </span><code class="docutils literal notranslate"><span class="pre">index_column</span></code><a class="headerlink" href="#index-column" title="Permalink to this headline">¶</a></h4>
<p>Specifies an index column.</p>
<p>Return value includes <code class="docutils literal notranslate"><span class="pre">estimated_size</span></code> of the index.</p>
<p>The <code class="docutils literal notranslate"><span class="pre">estimated_size</span></code> is useful for checking estimated frequency of tokens.</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.66.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">table_tokenize</span></code> command returns tokenized tokens.</p>
<p>See <a class="reference internal" href="tokenize.html#tokenize-return-value"><span class="std std-ref">Return value</span></a> option in <a class="reference internal" href="tokenize.html"><span class="doc">tokenize</span></a> about details.</p>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.66.6. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="../tokenizers.html"><span class="doc">Tokenizers</span></a></p></li>
<li><p><a class="reference internal" href="tokenize.html"><span class="doc">tokenize</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.66. <code class="docutils literal notranslate"><span class="pre">table_tokenize</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.66.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.66.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.66.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.66.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.66.4.1. Required parameters</a><ul>
<li><a class="reference internal" href="#table">7.3.66.4.1.1. <code class="docutils literal notranslate"><span class="pre">table</span></code></a></li>
<li><a class="reference internal" href="#string">7.3.66.4.1.2. <code class="docutils literal notranslate"><span class="pre">string</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.66.4.2. Optional parameters</a><ul>
<li><a class="reference internal" href="#flags">7.3.66.4.2.1. <code class="docutils literal notranslate"><span class="pre">flags</span></code></a></li>
<li><a class="reference internal" href="#mode">7.3.66.4.2.2. <code class="docutils literal notranslate"><span class="pre">mode</span></code></a></li>
<li><a class="reference internal" href="#index-column">7.3.66.4.2.3. <code class="docutils literal notranslate"><span class="pre">index_column</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.66.5. Return value</a></li>
<li><a class="reference internal" href="#see-also">7.3.66.6. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="table_rename.html"
                        title="previous chapter"><span class="section-number">7.3.65. </span><code class="docutils literal notranslate"><span class="pre">table_rename</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="thread_limit.html"
                        title="next chapter"><span class="section-number">7.3.67. </span><code class="docutils literal notranslate"><span class="pre">thread_limit</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="thread_limit.html" title="7.3.67. thread_limit"
             >next</a> |</li>
        <li class="right" >
          <a href="table_rename.html" title="7.3.65. table_rename"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.66. </span><code class="docutils literal notranslate"><span class="pre">table_tokenize</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>